XPSTOSVG(1)

NAME
xpstosvg - XPS to SVG converter

SYNOPSIS

xpstosvg [OPTION...] FILE [OUTPUT FILE]

DESCRIPTION

xpstosvg converts XPS documents to SVG format. xpstosvg reads the XPS file, FILE, and writes a SVG file, OUTPUT FILE. If OUTPUT FILE is not specified the output filename will be derived from the FILE filename.

OPTIONS

-?, --help
    Show help options.

-d DOCUMENT, --document=DOCUMENT
    The document inside the XPS file to convert. By default, the first document of the XPS file is used.

-f PAGE, --first=PAGE
    The first page to convert.

-l PAGE, --last=PAGE
    The last page to convert.

-o, --odd
    Convert only odd pages.

-e, --even
    Convert only even pages.

-r RESOLUTION, --resolution=RESOLUTION
    Horizontal and vertical resolution in PPI (Pixels Per Inch). The default is 150 PPI.

--rx=RESOLUTION
    Horizontal resolution in PPI (Pixels Per Inch). The default is 150 PPI.

--ry=RESOLUTION
    Vertical resolution in PPI (Pixels Per Inch). The default is 150 PPI.

-x X, --crop-x=X
    The x-coordinate of the crop area top left corner.

-y Y, --crop-y=Y
    The y-coordinate of the crop area top left corner.

-w WIDTH, --crop-width=WIDTH
    The width of crop area.

-h HEIGHT, --crop-height=HEIGHT
    The height of crop area.

--paper-width=WIDTH
    The paper width.

--paper-height=HEIGHT
    The paper height.

--expand
    Expand pages smaller than the paper to fill the paper. By default, pages are not scaled.

--no-shrink
    Don't scale pages which are larger than the paper. By default, pages larger than the paper are shrunk to fit.

--no-center
    Don't center on the paper pages smaller than the paper (after any scaling). By default, pages smaller than the paper are aligned to the lower-left corner.

BUGS

Please send bug reports to https://bugzilla.gnome.org/enter_bug.cgi?product=libgxps.

SEE ALSO

xpstojpeg(1) xpstopng(1) xpstopdf(1) xpstops(1)